Package ru.bgcrm.model.process.queue.config

# Class SavedPanelConfig

java.lang.Object
org.bgerp.app.cfg.Config
ru.bgcrm.model.process.queue.config.SavedPanelConfig

public class SavedPanelConfig extends Config

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.bgerp.app.cfg.Config

  `Config.InitStopException`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `QUEUE_CURRENT`
  `static final String`
  `QUEUE_SAVED_PANEL_SET_PREFIX`

  ### Fields inherited from class org.bgerp.app.cfg.Config

  `EMPTY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SavedPanelConfig(ConfigMap config)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addSavedPanelSet(Integer queueId)`
  `void`
  `changeCurrentSelected(Integer queueId)`
  `Integer`
  `getCurrentSelected()`
  `Set<Integer>`
  `getSavedPanelSet()`
  `void`
  `removeSavedPanelSet(Integer queueId)`
  `void`
  `updateConfig(Preferences userConfig)`

  ### Methods inherited from class org.bgerp.app.cfg.Config

  `initWhen, throwValidationException`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### QUEUE_SAVED_PANEL_SET_PREFIX

    public static final String QUEUE_SAVED_PANEL_SET_PREFIX
    See Also:
      - Constant Field Values

  - ### QUEUE_CURRENT

    public static final String QUEUE_CURRENT
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SavedPanelConfig

    public SavedPanelConfig(ConfigMap config)

- ## Method Details

  - ### addSavedPanelSet

    public void addSavedPanelSet(Integer queueId)

  - ### changeCurrentSelected

    public void changeCurrentSelected(Integer queueId)

  - ### getSavedPanelSet

    public Set<Integer> getSavedPanelSet()

  - ### getCurrentSelected

    public Integer getCurrentSelected()

  - ### removeSavedPanelSet

    public void removeSavedPanelSet(Integer queueId)

  - ### updateConfig

    public void updateConfig(Preferences userConfig)